1. Buildings
Ecoland
  • EcoLand
    • Authentication
      • Sign-In
      • Sign-up
      • Refresh Token
    • User
      • Resources
      • User Information
      • User Information
    • Buildings
      • Building Details
        GET
      • All Buildings
        GET
      • Construct Building
        POST
      • List of Possible Construction
        GET
      • Possible Prudctions of a building
        GET
    • Production
      • Cancel Production
      • Start Production
    • Transportation
      • Shipment
    • Admin
      • user-management
        • Users
  • Schemas
    • EcoLand
      • Storage_Base
      • Production_Base
      • Building_Base
      • Product_Base
      • Construciton_Base
      • Shipment_Base
      • ProductionsInOut_List
      • Productions_Def
      • UserInfo
      • UserResources
    • Error_Responses
      • Insufficent_Money
  1. Buildings

All Buildings

Developing
GET
/buildings/list
Requests all buildings of the current user (provided by the JWT token; authentication is required)

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/buildings/list' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
    "buildings": [
        {
            "id": 0,
            "name": "string",
            "type": {
                "def_id": 0,
                "token_name": "string"
            },
            "production": {
                "id": 0,
                "cycles": {
                    "total": 0,
                    "completed": 0
                },
                "is_active": true,
                "time_end": "2019-08-24T14:15:22.123Z",
                "products_in": [
                    {
                        "id": 0,
                        "token_name": "string",
                        "amount": {
                            "total": 0,
                            "current": 0
                        }
                    }
                ],
                "products_out": [
                    {
                        "id": 0,
                        "token_name": "string",
                        "amount": {
                            "total": 0,
                            "current": 0
                        }
                    }
                ]
            }
        }
    ]
}
Modified at 2025-03-01 17:46:23
Previous
Building Details
Next
Construct Building
Built with